controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute

accueil:
    path: /accueil
    controller: App\Controller\AccueilController::accueil

centre:
    path: /centre
    controller: App\Controller\CentreController::centre

club:
    path: /club/accueil
    controller: App\Controller\ClubController::accueil

clubArchive:
    path: /club/archivedAccueil
    controller: App\Controller\ClubController::archivedAccueil

clubAjouter:
    path: /encadrant/club/ajouter
    controller: App\Controller\ClubController::ajouter

clubAjouterParticipant:
    path: /club/ajouterParticipant/{id}
    controller: App\Controller\ClubController::ajouterParticipant

clubAjouterEncadrant:
    path: /encadrant/club/ajouterEncadrant/{id}
    controller: App\Controller\ClubController::ajouterEncadrant

clubSupprimerParticipant:
    path: /club/supprimerParticipant/{id}
    controller: App\Controller\ClubController::supprimerParticipant

clubModifier:
    path: /encadrant/club/modifier/{id}
    controller: App\Controller\ClubController::modifier

clubSupprimer:
    path: /encadrant/club/supprimer/{id}
    controller: App\Controller\ClubController::supprimer

clubConsulter:
    path: /club/consulter/{id}
    controller: App\Controller\ClubController::consulter

register:
    path: /register
    controller: App\Controller\RegistrationController::register

mentionsLegales:
    path: /mentions-legales
    controller: App\Controller\MentionslegalesController::mentionslegales

dashboard:
    path: /admin
    controller: App\Controller\Admin\DashboardController::index

seancesAdmin:
    path: /admin/seances
    controller: App\Controller\Admin\SeanceCrudController::configureActions

restauration:
    path: /restauration/accueil
    controller: App\Controller\RestaurationController::restauration

visualiser_pdf:
    path: /visualiser-pdf/
    controller: App\Controller\RestaurationController::visualiserDocument

exportUsers:
    path: /admin/exportUsers
    controller: App\Controller\ExportController::exportUsers

exportUsersCurrentYear:
    path: /admin/exportUsersCurrentYear
    controller: App\Controller\ExportController::exportUsersCurrentYear

error_page_route:
    path: /error-page
    controller: App\Controller\ErrorController::showErrorPage

login:
    path: /login
    controller: App\Controller\SecurityController::login

clubListSeances:
    path: /getSeancesData
    controller: App\Controller\ClubController::getSeancesData

clubConsultSeance:
    path: /getSeanceData/{id}
    controller: App\Controller\ClubController::getSeanceData

consulterImage:
    path: /uploads/images
    controller: App\Controller\ClubController::getSeanceData

consulterCarteMembre:
    path: /club/carteMembre/{id}
    controller: App\Controller\ClubController::consulterCarteMembre
    defaults:
        id: null
    requirements:
        id: \d+

archiverSeances:
    path: /club/archiverSeances
    controller: App\Controller\ClubController::archiveSeances

consulterRecuPayement:
    path: /club/recuPayement/{id}
    controller: App\Controller\ClubController::consulterRecuPayement

modifierUser:
    path: /club/modifierUser/{id}
    controller: App\Controller\ClubController::modifierUser

stats:
    path: /admin/stats
    controller: App\Controller\StatController::stats

listeActualites:
    path: /club/listeActualites
    controller: App\Controller\ClubController::listeActualites

consulterActualite:
    path: /club/consulterActualite/{id}
    controller: App\Controller\ClubController::consulterActualite

sendMailSeance:
    path: /club/sendMailSeance
    controller: App\Controller\ClubController::sendMailSeance
    methods: [POST]

app_calendar:
    path: /club/calendar
    controller: App\Controller\CalendarController::index

app_event_new:
    path: /club/calendarnew
    controller: App\Controller\EventController::new

app_event_show:
    path: /club/calendarshow/{id}
    controller: App\Controller\EventController::show

app_event_edit:
    path: /club/calendaredit/{id}
    controller: App\Controller\EventController::edit

app_event_delete:
    path: /club/calendardelete/{id}
    controller: App\Controller\EventController::delete

app_calendar_get_event:
    path: /club/calendarget-event/{id}
    controller: App\Controller\CalendarController::getEvent
    methods: GET

app_event_index:
    path: /club/calendarindex
    controller: App\Controller\EventController::index

app_seance_new:
    path: /utilisateur/seance/new
    controller: App\Controller\SeanceController::new

app_seance_show:
    path: /utilisateur/seance/show/{id}
    controller: App\Controller\SeanceController::show

app_seance_edit:
    path: /utilisateur/seance/edit/{id}
    controller: App\Controller\SeanceController::edit

app_seance_delete:
    path: /utilisateur/seance/delete/{id}
    controller: App\Controller\SeanceController::delete

app_calendar_get_seance:
    path: /club/calendarget-seance/{id}
    controller: App\Controller\CalendarController::getSeance
    methods: GET

clubAjouterInvite:
    path: /club/seance/ajouterInvite/{id}
    controller: App\Controller\ClubController::ajouterInvite

omahaBeachTrail:
    path: /club/omahaBeachTrail
    controller: App\Controller\OtherController::omahaBeachTrail

omahaBeachTrailSelect:
    path: /admin/omahaBeachTrail/select
    controller: App\Controller\OtherController::selectUser

event:
    path: /club/event/{id}
    controller: App\Controller\ClubController::eventConsulter

cache_clear:
    path: /admin/cache-clear
    controller: App\Controller\CacheController::clearCache

appForfaits:
    path: /club/forfaits
    controller: App\Controller\ForfaitController::index

ajouterForfaitsObligatoires:
    path: /admin/ajouterForfaitsObligatoires
    controller: App\Controller\ForfaitController::ajouterForfaitsObligatoires